1. Webhook
API Documentation
  • API Documentation Change Log
  • API Reference Guide
    • List of Payin Methods
    • List of Payout Methods
    • List of Supported Bank
    • Payout Payload Example
    • Purpose Code
    • Checkout Page Flow
  • API Documentation
    • Master Data
      • Get All Country & Currency Code
    • Payout Method
      • Get All Payout Method
    • Payin Method
      • Get All Payin Method
    • Payin
      • Create Payin
      • Simulate Payin
      • Retrieve Payin
    • Payout
      • Create Payout
      • Simulate Payout
      • Retrieve Payout
      • Get All Payout
    • Checkout
      • Create Payment Request
      • Get All Checkout
      • Get Detail Checkout
      • Create New Checkout
    • Webhook
      • Webhook PAYIN SUCCESS
        POST
      • Webhook PAYIN FAILED
        POST
      • Webhook PAYIN EXPIRED
        POST
      • Webhook PAYOUT SUCCESS
        POST
      • Webhook PAYOUT FAILED
        POST
      • Webhook PAYOUT RETURNED
        POST
    • Merchant
      • Get Balance Payout
    • Get List Payment Method by Currency
      GET
  • Features Documentation
    • Dashboard
    • Transaction
      • Payin
      • Payout
      • Rolling Reserve
      • Refund Request
    • Finance
      • Settlement Report APM
      • Settlement Report CARD
      • History Balance APM
      • History Balance CARD
    • Account
      • Profile Account
      • Manage Users
    • Setting
      • Integration Details
  1. Webhook

Webhook PAYIN EXPIRED

POST
url_webhook_merchant
Each POST/PATCH Request requires a Signature in the header, you can follow the following code to create the Signature:
const crypto = require('crypto'); const signature = crypto.createHmac('sha256', signatureKey) .update(JSON.stringify(data)).digest('hex');

Request

Header Params

Body Params application/json

Example
{
    "id": "f4f823ff-88b0-499a-a077-ebbfe539806a",
    "merchant_id": "9c9ddee6-40d6-4190-ad38-c14dc03eab16",
    "status": "EXPIRED",
    "original_amount": 3000,
    "amount_type": "MYR",
    "transaction": "invoice_23062026_2004",
    "transaction_date": "2026-06-23T06:18:09.000Z",
    "payment_method": "my_ewallet_touchngo_myr",
    "order_reference": "invoice_23062026_2004",
    "customer_full_name": "Old Pending",
    "reply_code": "{\"redirect_url\":\"https://checkout.paycombat.com/redirect?code=my_ewallet_touchngo_myr_paycombat_sandbox&method=my_ewallet_touchngo_myr\"}",
    "brand": "Blackpink",
    "currency": "FIAT",
    "credit_type": "PAYIN",
    "payer_id": "256699df-721c-48b5-84ed-bf794b87173b",
    "recon_id": "invoice_23062026_2004",
    "order_reference_1": "invoice_23062026_2004",
    "order_reference_2": "invoice_23062026_2004",
    "platform_identifier": "invoice_23062026_2004",
    "trx_type": "DIRECT_PAYIN",
    "customer_email": "jeniiiiii20@yopmail.com",
    "customer_phone": "+6285156781",
    "customer_personal_number": "",
    "charge_back": 0,
    "rolling_serve": 0,
    "retrieval": 0,
    "is_black_list": 0,
    "ip_address": "",
    "billing_address_country": "TH",
    "billing_address_city": "",
    "billing_address_zip_code": "",
    "billing_address": "",
    "bin": "",
    "is_3ds": "",
    "created_at": "2026-06-23T08:24:11.000Z",
    "updated_at": "2026-06-24T03:20:13.000Z",
    "deleted_at": null,
    "payment_date": null,
    "additional_info": null,
    "settlement_status": null,
    "settled_at": null,
    "type": "PAYIN",
    "paid_amount": 3000
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.paycombat.comurl_webhook_merchant' \
--header 'X-Signature;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "id": "f4f823ff-88b0-499a-a077-ebbfe539806a",
    "merchant_id": "9c9ddee6-40d6-4190-ad38-c14dc03eab16",
    "status": "EXPIRED",
    "original_amount": 3000,
    "amount_type": "MYR",
    "transaction": "invoice_23062026_2004",
    "transaction_date": "2026-06-23T06:18:09.000Z",
    "payment_method": "my_ewallet_touchngo_myr",
    "order_reference": "invoice_23062026_2004",
    "customer_full_name": "Old Pending",
    "reply_code": "{\"redirect_url\":\"https://checkout.paycombat.com/redirect?code=my_ewallet_touchngo_myr_paycombat_sandbox&method=my_ewallet_touchngo_myr\"}",
    "brand": "Blackpink",
    "currency": "FIAT",
    "credit_type": "PAYIN",
    "payer_id": "256699df-721c-48b5-84ed-bf794b87173b",
    "recon_id": "invoice_23062026_2004",
    "order_reference_1": "invoice_23062026_2004",
    "order_reference_2": "invoice_23062026_2004",
    "platform_identifier": "invoice_23062026_2004",
    "trx_type": "DIRECT_PAYIN",
    "customer_email": "jeniiiiii20@yopmail.com",
    "customer_phone": "+6285156781",
    "customer_personal_number": "",
    "charge_back": 0,
    "rolling_serve": 0,
    "retrieval": 0,
    "is_black_list": 0,
    "ip_address": "",
    "billing_address_country": "TH",
    "billing_address_city": "",
    "billing_address_zip_code": "",
    "billing_address": "",
    "bin": "",
    "is_3ds": "",
    "created_at": "2026-06-23T08:24:11.000Z",
    "updated_at": "2026-06-24T03:20:13.000Z",
    "deleted_at": null,
    "payment_date": null,
    "additional_info": null,
    "settlement_status": null,
    "settled_at": null,
    "type": "PAYIN",
    "paid_amount": 3000
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{}
🟠400Bad Request
Modified at 2026-06-24 07:54:20
Previous
Webhook PAYIN FAILED
Next
Webhook PAYOUT SUCCESS